Bug 18897 - Elastic related tests do not skip when ES modules are not installed
Summary: Elastic related tests do not skip when ES modules are not installed
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: M. Tompsett
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-05 17:48 UTC by Lee Jamison
Modified: 2018-12-03 20:04 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 18897 - Koha_Elasticsearch_Indexer.t doesn't skip when ES module not installed (1.42 KB, patch)
2017-07-05 18:08 UTC, Lee Jamison
Details | Diff | Splinter Review
Bug 18897: Koha_Elasticsearch_Indexer.t doesn't skip when ES module(s) not installed (1.55 KB, patch)
2017-08-25 13:59 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 18897: Improve error message (1.52 KB, patch)
2017-08-25 13:59 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 18897: Koha_Elasticsearch_Indexer.t doesn't skip when ES module(s) not installed (1.60 KB, patch)
2017-08-28 20:46 UTC, Lee Jamison
Details | Diff | Splinter Review
Bug 18897: Improve error message (1.57 KB, patch)
2017-08-28 20:46 UTC, Lee Jamison
Details | Diff | Splinter Review
Bug 18897: Use Module::Load::Conditional::can_load (1.75 KB, patch)
2017-09-01 18:20 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 18897: Use Module::Load::Conditional::can_load (1.80 KB, patch)
2017-09-01 18:52 UTC, Lee Jamison
Details | Diff | Splinter Review
Bug 18897: Koha_Elasticsearch_Indexer.t doesn't skip when ES module(s) not installed (1.66 KB, patch)
2017-10-02 14:56 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18897: Improve error message (1.62 KB, patch)
2017-10-02 14:56 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18897: Use Module::Load::Conditional::can_load (1.86 KB, patch)
2017-10-02 14:56 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18897: Skipping t/db_dependend/00-strict elastic search stuffs as needed (2.04 KB, patch)
2017-10-03 02:10 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 18897: Add skipping to t/db_dependent/Koha_SearchEngine_Elasticsearch_Search.t (1.71 KB, patch)
2017-10-03 02:10 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 18897: Koha_Elasticsearch_Indexer.t doesn't skip when ES module(s) not installed (1.66 KB, patch)
2017-10-03 14:19 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18897: Improve error message (1.62 KB, patch)
2017-10-03 14:19 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18897: Use Module::Load::Conditional::can_load (1.86 KB, patch)
2017-10-03 14:19 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18897: Skipping t/db_dependend/00-strict elastic search stuffs as needed (2.09 KB, patch)
2017-10-03 14:19 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18897: Add skipping to t/db_dependent/Koha_SearchEngine_Elasticsearch_Search.t (1.77 KB, patch)
2017-10-03 14:19 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lee Jamison 2017-07-05 17:48:37 UTC
Running "prove t/db_dependent/Koha_Elasticsearch_Indexer.t" fails instead of skipping if Catmandu::Importer::MARC is not installed.
Comment 1 Lee Jamison 2017-07-05 18:08:01 UTC
Created attachment 64818 [details] [review]
Bug 18897 - Koha_Elasticsearch_Indexer.t doesn't skip when ES module not installed

If Catmandu::Importer::MARC is not installed,
Koha_Elasticsearch_Indexer.t fails instead of skipping.

Test Plan:
1. Run "prove t/db_dependent/Koha_Elasticsearch_Indexer.t"
   as koha-shell.
2. Note failure on test 1/5 indicating module not installed.
3. Apply patch.
4. Re-run "prove t/db_dependent/Koha_Elasticsearch_Indexer.t"
5. Note test now skips.
Comment 2 M. Tompsett 2017-08-25 13:59:05 UTC
Created attachment 66478 [details] [review]
Bug 18897: Koha_Elasticsearch_Indexer.t doesn't skip when ES module(s) not installed

If Catmandu::Importer::MARC is not installed,
Koha_Elasticsearch_Indexer.t fails instead of skipping.
It should skip as ES is not currently mandatory.

Test Plan:
1. Run "prove t/db_dependent/Koha_Elasticsearch_Indexer.t"
   as koha-shell
2. Note failure on test 1/5 indicating module not installed.
3. Apply patch.
4. Re-run "prove t/db_dependent/Koha_Elasticsearch_Indexer.t"
5. Note test now skips.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 3 M. Tompsett 2017-08-25 13:59:11 UTC
Created attachment 66479 [details] [review]
Bug 18897: Improve error message

Test Plan:
$ git fetch
$ git checkout -b bug_18897 origin/master
$ git bz apply 18897
-- interactive apply just the first patch
$ sudo apt-get remove libcatmandu-store-elasticsearch-perl
...
$ prove t/db_dependent/Koha_Elasticsearch_Indexer.t
-- Note that the message says the wrong library is missing.
$ git bz apply 18897
-- interactive apply this patch
$ prove t/db_dependent/Koha_Elasticsearch_Indexer.t
-- Note that the message says the correct library is missing.
run the koha qa test tools

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 4 Lee Jamison 2017-08-28 20:46:12 UTC
Created attachment 66568 [details] [review]
Bug 18897: Koha_Elasticsearch_Indexer.t doesn't skip when ES module(s) not installed

If Catmandu::Importer::MARC is not installed,
Koha_Elasticsearch_Indexer.t fails instead of skipping.
It should skip as ES is not currently mandatory.

Test Plan:
1. Run "prove t/db_dependent/Koha_Elasticsearch_Indexer.t"
   as koha-shell
2. Note failure on test 1/5 indicating module not installed.
3. Apply patch.
4. Re-run "prove t/db_dependent/Koha_Elasticsearch_Indexer.t"
5. Note test now skips.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Lee Jamison <ldjamison@marywood.edu>
Comment 5 Lee Jamison 2017-08-28 20:46:22 UTC
Created attachment 66569 [details] [review]
Bug 18897: Improve error message

Test Plan:
$ git fetch
$ git checkout -b bug_18897 origin/master
$ git bz apply 18897
-- interactive apply just the first patch
$ sudo apt-get remove libcatmandu-store-elasticsearch-perl
...
$ prove t/db_dependent/Koha_Elasticsearch_Indexer.t
-- Note that the message says the wrong library is missing.
$ git bz apply 18897
-- interactive apply this patch
$ prove t/db_dependent/Koha_Elasticsearch_Indexer.t
-- Note that the message says the correct library is missing.
run the koha qa test tools

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Lee Jamison <ldjamison@marywood.edu>
Comment 6 Jonathan Druart 2017-08-29 14:02:22 UTC
It would be better to use Module::Load::Conditional::can_load I think
Comment 7 Nick Clemens 2017-09-01 11:21:24 UTC
Failing per comment #6
Comment 8 M. Tompsett 2017-09-01 18:20:48 UTC
Created attachment 66777 [details] [review]
Bug 18897: Use Module::Load::Conditional::can_load

Rather than rely on eval(), Jonathan Druart recommended in
comment #6 to use Use Module::Load::Conditional::can_load.
This addresses that concern.

TEST PLAN
---------
$ git fetch
$ git checkout -b bug_18897 origin/master
$ git bz apply 18897
$ sudo apt-get remove libcatmandu-store-elasticsearch-perl
...
$ prove t/db_dependent/Koha_Elasticsearch_Indexer.t
-- Note that the message says the correct library is missing.
$ sudo apt-get install libcatmandu-store-elasticsearch-perl
-- Note it runs as expected.
run the koha qa test tools
Comment 9 M. Tompsett 2017-09-01 18:27:18 UTC
Missed a line:

> TEST PLAN
> ---------
> $ git fetch
> $ git checkout -b bug_18897 origin/master
> $ git bz apply 18897
> $ sudo apt-get remove libcatmandu-store-elasticsearch-perl
> ...
> $ prove t/db_dependent/Koha_Elasticsearch_Indexer.t
> -- Note that the message says the correct library is missing.
> $ sudo apt-get install libcatmandu-store-elasticsearch-perl
> $ prove t/db_dependent/Koha_Elasticsearch_Indexer.t
> -- Note it runs as expected.
> run the koha qa test tools
Comment 10 Lee Jamison 2017-09-01 18:52:11 UTC
Created attachment 66779 [details] [review]
Bug 18897: Use Module::Load::Conditional::can_load

Rather than rely on eval(), Jonathan Druart recommended in
comment #6 to use Use Module::Load::Conditional::can_load.
This addresses that concern.

TEST PLAN
---------
$ git fetch
$ git checkout -b bug_18897 origin/master
$ git bz apply 18897
$ sudo apt-get remove libcatmandu-store-elasticsearch-perl
...
$ prove t/db_dependent/Koha_Elasticsearch_Indexer.t
-- Note that the message says the correct library is missing.
$ sudo apt-get install libcatmandu-store-elasticsearch-perl
-- Note it runs as expected.
run the koha qa test tools

Signed-off-by: Lee Jamison <ldjamison@marywood.edu>
Comment 11 Tomás Cohen Arazi 2017-10-02 14:56:08 UTC
Created attachment 67521 [details] [review]
Bug 18897: Koha_Elasticsearch_Indexer.t doesn't skip when ES module(s) not installed

If Catmandu::Importer::MARC is not installed,
Koha_Elasticsearch_Indexer.t fails instead of skipping.
It should skip as ES is not currently mandatory.

Test Plan:
1. Run "prove t/db_dependent/Koha_Elasticsearch_Indexer.t"
   as koha-shell
2. Note failure on test 1/5 indicating module not installed.
3. Apply patch.
4. Re-run "prove t/db_dependent/Koha_Elasticsearch_Indexer.t"
5. Note test now skips.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Lee Jamison <ldjamison@marywood.edu>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 12 Tomás Cohen Arazi 2017-10-02 14:56:15 UTC
Created attachment 67522 [details] [review]
Bug 18897: Improve error message

Test Plan:
$ git fetch
$ git checkout -b bug_18897 origin/master
$ git bz apply 18897
-- interactive apply just the first patch
$ sudo apt-get remove libcatmandu-store-elasticsearch-perl
...
$ prove t/db_dependent/Koha_Elasticsearch_Indexer.t
-- Note that the message says the wrong library is missing.
$ git bz apply 18897
-- interactive apply this patch
$ prove t/db_dependent/Koha_Elasticsearch_Indexer.t
-- Note that the message says the correct library is missing.
run the koha qa test tools

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Lee Jamison <ldjamison@marywood.edu>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 13 Tomás Cohen Arazi 2017-10-02 14:56:22 UTC
Created attachment 67523 [details] [review]
Bug 18897: Use Module::Load::Conditional::can_load

Rather than rely on eval(), Jonathan Druart recommended in
comment #6 to use Use Module::Load::Conditional::can_load.
This addresses that concern.

TEST PLAN
---------
$ git fetch
$ git checkout -b bug_18897 origin/master
$ git bz apply 18897
$ sudo apt-get remove libcatmandu-store-elasticsearch-perl
...
$ prove t/db_dependent/Koha_Elasticsearch_Indexer.t
-- Note that the message says the correct library is missing.
$ sudo apt-get install libcatmandu-store-elasticsearch-perl
-- Note it runs as expected.
run the koha qa test tools

Signed-off-by: Lee Jamison <ldjamison@marywood.edu>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 14 Jonathan Druart 2017-10-02 15:21:08 UTC
Sounds like we have other tests failing:

#   Failed test 'Syntax check misc/search_tools/rebuild_elastic_search.pl'
#   at /usr/share/perl5/Test/Strict.pm line 406.
# Can't locate Catmandu/Importer/MARC.pm in @INC (you may need to install the Catmandu::Importer::MARC module) (@INC contains: installer misc/translator /kohadevbox/koha /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.20.2 /usr/local/share/perl/5.20.2/x86_64-linux-gnu-thread-multi /usr/local/share/perl/5.20.2 /usr/lib/x86_64-linux-gnu/perl5/5.20 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.20 /usr/share/perl/5.20 /usr/local/lib/site_perl . /kohadevbox/koha /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.20.2 /usr/local/share/perl/5.20.2 /usr/lib/x86_64-linux-gnu/perl5/5.20 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.20 /usr/share/perl/5.20 /usr/local/lib/site_perl .) at /kohadevbox/koha/Koha/SearchEngine/Elasticsearch/Indexer.pm line 26.
# BEGIN failed--compilation aborted at /kohadevbox/koha/Koha/SearchEngine/Elasticsearch/Indexer.pm line 26.
# Compilation failed in require at misc/search_tools/rebuild_elastic_search.pl line 89.
# BEGIN failed--compilation aborted at misc/search_tools/rebuild_elastic_search.pl line 89.
# Looks like you failed 1 test of 663.
[23:53:44] t/db_dependent/00-strict.t



#   Failed test 'use Koha::SearchEngine::Elasticsearch::Search;'
#   at t/db_dependent/Koha_SearchEngine_Elasticsearch_Search.t line 27.
#     Tried to use 'Koha::SearchEngine::Elasticsearch::Search'.
#     Error:  Can't locate Catmandu/Store/ElasticSearch.pm in @INC (you may need to install the Catmandu::Store::ElasticSearch module) (@INC contains: /kohadevbox/koha /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.20.2 /usr/local/share/perl/5.20.2 /usr/lib/x86_64-linux-gnu/perl5/5.20 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.20 /usr/share/perl/5.20 /usr/local/lib/site_perl .) at /kohadevbox/koha/Koha/SearchEngine/Elasticsearch/Search.pm line 49.
# BEGIN failed--compilation aborted at /kohadevbox/koha/Koha/SearchEngine/Elasticsearch/Search.pm line 49.
# Compilation failed in require at t/db_dependent/Koha_SearchEngine_Elasticsearch_Search.t line 27.
# BEGIN failed--compilation aborted at t/db_dependent/Koha_SearchEngine_Elasticsearch_Search.t line 27.
Can't locate object method "search" via package "Koha::SearchEngine::Elasticsearch::Search" at t/db_dependent/Koha_SearchEngine_Elasticsearch_Search.t line 47.
# Looks like your test exited with 255 just after 4.
[22:48:34] t/db_dependent/Koha_SearchEngine_Elasticsearch_Search.t
Comment 15 M. Tompsett 2017-10-02 16:37:10 UTC
(In reply to Jonathan Druart from comment #14)
> Sounds like we have other tests failing:
> 
> #   Failed test 'Syntax check misc/search_tools/rebuild_elastic_search.pl'
> #   at /usr/share/perl5/Test/Strict.pm line 406.
> # Can't locate Catmandu/Importer/MARC.pm in @INC (you may need to install
> the Catmandu::Importer::MARC module) (@INC contains: installer
> misc/translator /kohadevbox/koha /etc/perl
> /usr/local/lib/x86_64-linux-gnu/perl/5.20.2
> /usr/local/share/perl/5.20.2/x86_64-linux-gnu-thread-multi
> /usr/local/share/perl/5.20.2 /usr/lib/x86_64-linux-gnu/perl5/5.20
> /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.20 /usr/share/perl/5.20
> /usr/local/lib/site_perl . /kohadevbox/koha /etc/perl
> /usr/local/lib/x86_64-linux-gnu/perl/5.20.2 /usr/local/share/perl/5.20.2
> /usr/lib/x86_64-linux-gnu/perl5/5.20 /usr/share/perl5
> /usr/lib/x86_64-linux-gnu/perl/5.20 /usr/share/perl/5.20
> /usr/local/lib/site_perl .) at
> /kohadevbox/koha/Koha/SearchEngine/Elasticsearch/Indexer.pm line 26.
> # BEGIN failed--compilation aborted at
> /kohadevbox/koha/Koha/SearchEngine/Elasticsearch/Indexer.pm line 26.
> # Compilation failed in require at
> misc/search_tools/rebuild_elastic_search.pl line 89.
> # BEGIN failed--compilation aborted at
> misc/search_tools/rebuild_elastic_search.pl line 89.
> # Looks like you failed 1 test of 663.
> [23:53:44] t/db_dependent/00-strict.t
> 
> 
> 
> #   Failed test 'use Koha::SearchEngine::Elasticsearch::Search;'
> #   at t/db_dependent/Koha_SearchEngine_Elasticsearch_Search.t line 27.
> #     Tried to use 'Koha::SearchEngine::Elasticsearch::Search'.
> #     Error:  Can't locate Catmandu/Store/ElasticSearch.pm in @INC (you may
> need to install the Catmandu::Store::ElasticSearch module) (@INC contains:
> /kohadevbox/koha /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.20.2
> /usr/local/share/perl/5.20.2 /usr/lib/x86_64-linux-gnu/perl5/5.20
> /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.20 /usr/share/perl/5.20
> /usr/local/lib/site_perl .) at
> /kohadevbox/koha/Koha/SearchEngine/Elasticsearch/Search.pm line 49.
> # BEGIN failed--compilation aborted at
> /kohadevbox/koha/Koha/SearchEngine/Elasticsearch/Search.pm line 49.
> # Compilation failed in require at
> t/db_dependent/Koha_SearchEngine_Elasticsearch_Search.t line 27.
> # BEGIN failed--compilation aborted at
> t/db_dependent/Koha_SearchEngine_Elasticsearch_Search.t line 27.
> Can't locate object method "search" via package
> "Koha::SearchEngine::Elasticsearch::Search" at
> t/db_dependent/Koha_SearchEngine_Elasticsearch_Search.t line 47.
> # Looks like your test exited with 255 just after 4.
> [22:48:34] t/db_dependent/Koha_SearchEngine_Elasticsearch_Search.t

I would argue that OTHER failures are beyond the scope of this patch, and that it should go back to passed QA, and two more bugs created.
Comment 16 Jonathan Druart 2017-10-02 16:54:11 UTC
(In reply to M. Tompsett from comment #15)
> I would argue that OTHER failures are beyond the scope of this patch, and
> that it should go back to passed QA, and two more bugs created.

I do not think so, the fix should be quite trivial.
Comment 17 M. Tompsett 2017-10-03 02:10:06 UTC
Created attachment 67539 [details] [review]
Bug 18897: Skipping t/db_dependend/00-strict elastic search stuffs as needed

Test Plan:
$ git fetch
$ git checkout -b bug_18897 origin/master
$ sudo apt-get remove libcatmandu-store-elasticsearch-perl
$ prove t/db_dependent/00-strict.t
-- nasty failure.
$ git bz apply 18897
-- interactive apply just the four patchs
$ prove t/db_dependent/00-strict.t
-- nicer skip message
run the koha qa test tools
Comment 18 M. Tompsett 2017-10-03 02:10:14 UTC
Created attachment 67540 [details] [review]
Bug 18897: Add skipping to t/db_dependent/Koha_SearchEngine_Elasticsearch_Search.t

Test Plan:
$ git fetch
$ git checkout -b bug_18897 origin/master
$ sudo apt-get remove libcatmandu-store-elasticsearch-perl
$ prove t/db_dependent/Koha_SearchEngine_Elasticsearch_Search.t
-- nasty failure.
$ git bz apply 18897
-- apply all the patches
$ prove t/db_dependent/Koha_SearchEngine_Elasticsearch_Search.t
-- nicer skip message
run the koha qa test tools
Comment 19 M. Tompsett 2017-10-03 02:11:10 UTC
This should pass QA quick enough, I hope.
Comment 20 Tomás Cohen Arazi 2017-10-03 14:19:19 UTC
Created attachment 67553 [details] [review]
Bug 18897: Koha_Elasticsearch_Indexer.t doesn't skip when ES module(s) not installed

If Catmandu::Importer::MARC is not installed,
Koha_Elasticsearch_Indexer.t fails instead of skipping.
It should skip as ES is not currently mandatory.

Test Plan:
1. Run "prove t/db_dependent/Koha_Elasticsearch_Indexer.t"
   as koha-shell
2. Note failure on test 1/5 indicating module not installed.
3. Apply patch.
4. Re-run "prove t/db_dependent/Koha_Elasticsearch_Indexer.t"
5. Note test now skips.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Lee Jamison <ldjamison@marywood.edu>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 21 Tomás Cohen Arazi 2017-10-03 14:19:28 UTC
Created attachment 67554 [details] [review]
Bug 18897: Improve error message

Test Plan:
$ git fetch
$ git checkout -b bug_18897 origin/master
$ git bz apply 18897
-- interactive apply just the first patch
$ sudo apt-get remove libcatmandu-store-elasticsearch-perl
...
$ prove t/db_dependent/Koha_Elasticsearch_Indexer.t
-- Note that the message says the wrong library is missing.
$ git bz apply 18897
-- interactive apply this patch
$ prove t/db_dependent/Koha_Elasticsearch_Indexer.t
-- Note that the message says the correct library is missing.
run the koha qa test tools

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Lee Jamison <ldjamison@marywood.edu>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 22 Tomás Cohen Arazi 2017-10-03 14:19:35 UTC
Created attachment 67555 [details] [review]
Bug 18897: Use Module::Load::Conditional::can_load

Rather than rely on eval(), Jonathan Druart recommended in
comment #6 to use Use Module::Load::Conditional::can_load.
This addresses that concern.

TEST PLAN
---------
$ git fetch
$ git checkout -b bug_18897 origin/master
$ git bz apply 18897
$ sudo apt-get remove libcatmandu-store-elasticsearch-perl
...
$ prove t/db_dependent/Koha_Elasticsearch_Indexer.t
-- Note that the message says the correct library is missing.
$ sudo apt-get install libcatmandu-store-elasticsearch-perl
-- Note it runs as expected.
run the koha qa test tools

Signed-off-by: Lee Jamison <ldjamison@marywood.edu>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 23 Tomás Cohen Arazi 2017-10-03 14:19:41 UTC
Created attachment 67556 [details] [review]
Bug 18897: Skipping t/db_dependend/00-strict elastic search stuffs as needed

Test Plan:
$ git fetch
$ git checkout -b bug_18897 origin/master
$ sudo apt-get remove libcatmandu-store-elasticsearch-perl
$ prove t/db_dependent/00-strict.t
-- nasty failure.
$ git bz apply 18897
-- interactive apply just the four patchs
$ prove t/db_dependent/00-strict.t
-- nicer skip message
run the koha qa test tools

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 24 Tomás Cohen Arazi 2017-10-03 14:19:48 UTC
Created attachment 67557 [details] [review]
Bug 18897: Add skipping to t/db_dependent/Koha_SearchEngine_Elasticsearch_Search.t

Test Plan:
$ git fetch
$ git checkout -b bug_18897 origin/master
$ sudo apt-get remove libcatmandu-store-elasticsearch-perl
$ prove t/db_dependent/Koha_SearchEngine_Elasticsearch_Search.t
-- nasty failure.
$ git bz apply 18897
-- apply all the patches
$ prove t/db_dependent/Koha_SearchEngine_Elasticsearch_Search.t
-- nicer skip message
run the koha qa test tools

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 25 Tomás Cohen Arazi 2017-10-03 14:22:02 UTC
The patches work as expected. I wouldn't recommend them for the master branch, though.
The patches are needed on the stable branches only because the dependencies are not correctly pulled. This is not that problematic on the stable branches, because ES is not ready. But master (and 17.11) should definitely pull the right dependencies so more people use and test the ES integration.
Comment 26 Fridolin SOMERS 2017-10-03 15:01:08 UTC
Pushed to 17.05.x, will be in 17.05.05.
Comment 27 Fridolin SOMERS 2017-10-03 15:02:10 UTC
Thanks everyone for your job, Jenkins is about to turn green ;)
Comment 28 M. Tompsett 2017-10-03 18:22:41 UTC
(In reply to Tomás Cohen Arazi from comment #25)
> The patches work as expected. I wouldn't recommend them for the master
> branch, though.

I agree. If you push these to master, making sure the right dependencies are pulled for 17.11 and later will be missed. And as ES is maturing, and needs to be used and tested in 17.11, errors will force people to make sure the dependencies are right. Pushing these to master will give nice skipping messages and people may forget more easily.
Comment 29 Katrin Fischer 2017-10-06 06:19:59 UTC
These patches have been pushed to 16.11.x and will be in 16.11.13.